<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Plugins/PluginBase/PluginDeveloper/PluginRemotePlayerDebugServer.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d49/_plugin_remote_player_debug_server_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PluginRemotePlayerDebugServer.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d49/_plugin_remote_player_debug_server_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>PluginRemotePlayerDebugServer <span class="keyword">extends</span> <a class="code hl_class" href="../../dd/da1/class_plugin_base.html">PluginBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    </div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#aecbd3d4837d0db73241929801293d90c">    4</a></span>    ref set&lt;PlayerBase&gt; m_ClientList = <span class="keyword">new</span> set&lt;PlayerBase&gt;;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#afadada4f8388976ba33804fb5d3ea699">    6</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref RemotePlayerStatDebug&gt;</a> <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#ab9d12254392a7437f54fb90d69b2a5c0">m_PlayerDebugStats</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref RemotePlayerStatDebug&gt;</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#abb9c4ea217d15d83419e80e1520ff728">    7</a></span>    ref <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;PlayerBase, ref RemotePlayerDamageDebug&gt;</a> <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a31de55455efdba9dc6b617b55972e505">m_PlayerDebugDamage</a> = <span class="keyword">new</span> <a class="code hl_enumeration" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map&lt;PlayerBase, ref RemotePlayerDamageDebug&gt;</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a0206412b6149e53ae81911088091d83f">    8</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a0206412b6149e53ae81911088091d83f">m_AccuTime</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#acf5ae9b7656e624253e677d7d35105da">    9</a></span>    <span class="keyword">const</span> <span class="keywordtype">int</span> INTERVAL = 1;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#ab9b9515a9f54fece194e7073142db17a">   11</a></span>    <a class="code hl_enumeration" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a3c67c40c8784545258a78499d40ad4cb">eRemoteDebugType</a> <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#ab9b9515a9f54fece194e7073142db17a">m_DebugType</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a6da134d98eb363fd3d974b37c733bdf5">   12</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a6da134d98eb363fd3d974b37c733bdf5">m_Watching</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#ae1cd17b89a389878d63d340f2f850216">   14</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#ae1cd17b89a389878d63d340f2f850216">OnUpdate</a>(<span class="keywordtype">float</span> delta_time)</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="preprocessor">        #ifdef SERVER</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <span class="keywordflow">if</span>( m_ClientList.Count()!=0 )</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            m_AccuTime+=delta_time;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>            </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>            <span class="keywordflow">if</span>( m_AccuTime &gt; INTERVAL )</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>            {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>                m_AccuTime = 0;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>                <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#ad8d21bbca90ae899ba1d7cc1e0645ae6">SendDebug</a>();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>            }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        }</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a17b1e66dd7b6c2b7ca9968f18eb4502a">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a17b1e66dd7b6c2b7ca9968f18eb4502a">SetWatching</a>(<span class="keywordtype">bool</span> enable)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        m_Watching = enable;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a16c617ecdef494222cc94475a589b6a7">   35</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a16c617ecdef494222cc94475a589b6a7">GetWatching</a>()</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../dd/da1/class_plugin_base.html#a6da134d98eb363fd3d974b37c733bdf5">m_Watching</a>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#aa2c77afbe2aec582d3010cba0f3b89fe">   40</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#aa2c77afbe2aec582d3010cba0f3b89fe">GatherPlayerInfo</a>()</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Man&gt;</a> players = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;Man&gt;</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a22b6cefd45eb77ec700ef1a9e1947dcb">GetPlayers</a>(players);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#ab9d12254392a7437f54fb90d69b2a5c0">m_PlayerDebugStats</a>.Clear();</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; players.Count(); i++)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        {</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a>.Cast(players.Get(i));</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>            <a class="code hl_function" href="../../d5/d95/_remote_player_stat_debug_8c.html#aba93fe37bc958ee086cbf5ae61268335">RemotePlayerStatDebug</a> rpd = <span class="keyword">new</span> <a class="code hl_function" href="../../d5/d95/_remote_player_stat_debug_8c.html#aba93fe37bc958ee086cbf5ae61268335">RemotePlayerStatDebug</a>(player);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>            <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#ab9d12254392a7437f54fb90d69b2a5c0">m_PlayerDebugStats</a>.Insert(rpd);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#ad8d21bbca90ae899ba1d7cc1e0645ae6">   56</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#ad8d21bbca90ae899ba1d7cc1e0645ae6">SendDebug</a>()</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#aa2c77afbe2aec582d3010cba0f3b89fe">GatherPlayerInfo</a>();</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref RemotePlayerDamageDebug&gt;</a> player_damage = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref RemotePlayerDamageDebug&gt;</a>;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; m_ClientList.Count(); i++)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player = m_ClientList.Get(i);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <span class="keywordflow">if</span>(player)</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>                <a class="code hl_class" href="../../d5/d8a/class_script_r_p_c.html">ScriptRPC</a> rpc = <span class="keyword">new</span> <a class="code hl_class" href="../../d5/d8a/class_script_r_p_c.html">ScriptRPC</a>();</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>                rpc.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>(<a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#ab9d12254392a7437f54fb90d69b2a5c0">m_PlayerDebugStats</a>);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>                </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>                </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>                <span class="keywordflow">for</span>(<span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a> = 0; <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a> &lt; <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a31de55455efdba9dc6b617b55972e505">m_PlayerDebugDamage</a>.Count(); <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>++)</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>                {</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>                    <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player2 = <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a31de55455efdba9dc6b617b55972e505">m_PlayerDebugDamage</a>.GetKey(<a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>                    <a class="code hl_class" href="../../d7/d6a/class_remote_player_damage_debug.html">RemotePlayerDamageDebug</a> value = <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a31de55455efdba9dc6b617b55972e505">m_PlayerDebugDamage</a>.GetElement(<a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>                    <span class="keywordflow">if</span>(player2)</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>                    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>                        player_damage.Insert(value);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>                        </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                    }</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                    <span class="comment">//int xs = 1 + 1;</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                rpc.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>(player_damage);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                rpc.<a class="code hl_function" href="../../d5/d8a/class_script_r_p_c.html#a96f5185fa93cf7f008fba76a0e7729b9">Send</a>( player, <a class="code hl_enumeration" href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a>.DEV_PLAYER_DEBUG_DATA, <span class="keyword">true</span>, player.GetIdentity() );</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a31de55455efdba9dc6b617b55972e505">m_PlayerDebugDamage</a>.Clear();</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            {</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                m_ClientList.Remove(i);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>            }</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>    }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a0f63c2b6c547c339fcb6bad379b3141e">   96</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a0f63c2b6c547c339fcb6bad379b3141e">OnDamageEvent</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_class" href="../../d7/d7b/class_total_damage_result.html">TotalDamageResult</a> damageResult)</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    {</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <span class="keywordflow">if</span>( !<a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a16c617ecdef494222cc94475a589b6a7">GetWatching</a>() || !damageResult ) <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordtype">float</span> damage_global = damageResult.<a class="code hl_function" href="../../d7/d7b/class_total_damage_result.html#a940858fc3298ca3b89b97f2cc2dbc409">GetDamage</a>(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        <span class="keywordtype">float</span> damage_blood = damageResult.<a class="code hl_function" href="../../d7/d7b/class_total_damage_result.html#a940858fc3298ca3b89b97f2cc2dbc409">GetDamage</a>(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;Blood&quot;</span>);</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordtype">float</span> damage_shock = damageResult.<a class="code hl_function" href="../../d7/d7b/class_total_damage_result.html#a940858fc3298ca3b89b97f2cc2dbc409">GetDamage</a>(<span class="stringliteral">&quot;&quot;</span>,<span class="stringliteral">&quot;Shock&quot;</span>);</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordflow">if</span>( <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a31de55455efdba9dc6b617b55972e505">m_PlayerDebugDamage</a>.Contains(player) )</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a31de55455efdba9dc6b617b55972e505">m_PlayerDebugDamage</a>.Get(player).AddDamage( damage_global, damage_blood, damage_shock );</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        }</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            <a class="code hl_class" href="../../d7/d6a/class_remote_player_damage_debug.html">RemotePlayerDamageDebug</a> rpdd = <span class="keyword">new</span> <a class="code hl_class" href="../../d7/d6a/class_remote_player_damage_debug.html">RemotePlayerDamageDebug</a>(player);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            rpdd.<a class="code hl_function" href="../../d7/d6a/class_remote_player_damage_debug.html#a240490b311b87235ed6be55c370fa7bb">AddDamage</a>(damage_global, damage_blood, damage_shock);</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <a class="code hl_variable" href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a31de55455efdba9dc6b617b55972e505">m_PlayerDebugDamage</a>.Insert(player, rpdd);</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        }</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>    </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a8f5250c9e96907b12539030fa117c47b">  116</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a8f5250c9e96907b12539030fa117c47b">OnRequestReceived</a>(<a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <span class="keywordtype">bool</span> enable)</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordtype">int</span> index = m_ClientList.Find(player);</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        </div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">if</span>(enable)</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            m_ClientList.Insert(player);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a17b1e66dd7b6c2b7ca9968f18eb4502a">SetWatching</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (index != -1 &amp;&amp; m_ClientList.Count() != 0)</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            m_ClientList.Remove(index);</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">if</span>( m_ClientList.Count() == 0 )</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a17b1e66dd7b6c2b7ca9968f18eb4502a">SetWatching</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>    }</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../dd/da1/class_plugin_base.html#a5968d0fb35775073d5a1463a30563ec2">  136</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a5968d0fb35775073d5a1463a30563ec2">OnRPC</a>(<a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx, <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    {</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>        <span class="keywordtype">bool</span> enable;</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>(enable);</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <a class="code hl_function" href="../../dd/da1/class_plugin_base.html#a8f5250c9e96907b12539030fa117c47b">OnRequestReceived</a>(player, enable);</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>    }</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>}</div>
<div class="ttc" id="a_controls_xbox_new_8c_html_a9ec9dda576db2a36c42c1c3af155d07c"><div class="ttname"><a href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a></div><div class="ttdeci">map</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/_controls_xbox_new_8c_source.html#l00003">ControlsXboxNew.c:4</a></div></div>
<div class="ttc" id="a_e_r_p_cs_8c_html_a6ce2d98a3b8fbdba5b450abf2d6eab37"><div class="ttname"><a href="../../d0/d66/_e_r_p_cs_8c.html#a6ce2d98a3b8fbdba5b450abf2d6eab37">ERPCs</a></div><div class="ttdeci">ERPCs</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d66/_e_r_p_cs_8c_source.html#l00001">ERPCs.c:2</a></div></div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_plugin_remote_player_debug_client_8c_html_a31de55455efdba9dc6b617b55972e505"><div class="ttname"><a href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a31de55455efdba9dc6b617b55972e505">m_PlayerDebugDamage</a></div><div class="ttdeci">ref map&lt; PlayerBase, ref RemotePlayerDamageDebug &gt; m_PlayerDebugDamage</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d23/_plugin_remote_player_debug_client_8c_source.html#l00012">PluginRemotePlayerDebugClient.c:12</a></div></div>
<div class="ttc" id="a_plugin_remote_player_debug_client_8c_html_a3c67c40c8784545258a78499d40ad4cb"><div class="ttname"><a href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#a3c67c40c8784545258a78499d40ad4cb">eRemoteDebugType</a></div><div class="ttdeci">eRemoteDebugType</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d23/_plugin_remote_player_debug_client_8c_source.html#l00001">PluginRemotePlayerDebugClient.c:2</a></div></div>
<div class="ttc" id="a_plugin_remote_player_debug_client_8c_html_ab9d12254392a7437f54fb90d69b2a5c0"><div class="ttname"><a href="../../d1/d23/_plugin_remote_player_debug_client_8c.html#ab9d12254392a7437f54fb90d69b2a5c0">m_PlayerDebugStats</a></div><div class="ttdeci">ref array&lt; ref RemotePlayerStatDebug &gt; m_PlayerDebugStats</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d23/_plugin_remote_player_debug_client_8c_source.html#l00011">PluginRemotePlayerDebugClient.c:11</a></div></div>
<div class="ttc" id="a_remote_player_stat_debug_8c_html_aba93fe37bc958ee086cbf5ae61268335"><div class="ttname"><a href="../../d5/d95/_remote_player_stat_debug_8c.html#aba93fe37bc958ee086cbf5ae61268335">RemotePlayerStatDebug</a></div><div class="ttdeci">void RemotePlayerStatDebug(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d95/_remote_player_stat_debug_8c_source.html#l00016">RemotePlayerStatDebug.c:16</a></div></div>
<div class="ttc" id="aclass_c_game_html_a22b6cefd45eb77ec700ef1a9e1947dcb"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a22b6cefd45eb77ec700ef1a9e1947dcb">CGame::GetPlayers</a></div><div class="ttdeci">proto native void GetPlayers(out array&lt; Man &gt; players)</div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_plugin_base_html"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html">PluginBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/dbd/_plugin_base_8c_source.html#l00001">PluginBase.c:2</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a0206412b6149e53ae81911088091d83f"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a0206412b6149e53ae81911088091d83f">PluginBase::m_AccuTime</a></div><div class="ttdeci">float m_AccuTime</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d49/_plugin_remote_player_debug_server_8c_source.html#l00008">PluginRemotePlayerDebugServer.c:8</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a0f63c2b6c547c339fcb6bad379b3141e"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a0f63c2b6c547c339fcb6bad379b3141e">PluginBase::OnDamageEvent</a></div><div class="ttdeci">void OnDamageEvent(PlayerBase player, TotalDamageResult damageResult)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d49/_plugin_remote_player_debug_server_8c_source.html#l00096">PluginRemotePlayerDebugServer.c:96</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a16c617ecdef494222cc94475a589b6a7"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a16c617ecdef494222cc94475a589b6a7">PluginBase::GetWatching</a></div><div class="ttdeci">bool GetWatching()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d49/_plugin_remote_player_debug_server_8c_source.html#l00035">PluginRemotePlayerDebugServer.c:35</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a17b1e66dd7b6c2b7ca9968f18eb4502a"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a17b1e66dd7b6c2b7ca9968f18eb4502a">PluginBase::SetWatching</a></div><div class="ttdeci">void SetWatching(bool enable)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d49/_plugin_remote_player_debug_server_8c_source.html#l00030">PluginRemotePlayerDebugServer.c:30</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a5968d0fb35775073d5a1463a30563ec2"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a5968d0fb35775073d5a1463a30563ec2">PluginBase::OnRPC</a></div><div class="ttdeci">void OnRPC(ParamsReadContext ctx, PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d49/_plugin_remote_player_debug_server_8c_source.html#l00136">PluginRemotePlayerDebugServer.c:136</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a6da134d98eb363fd3d974b37c733bdf5"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a6da134d98eb363fd3d974b37c733bdf5">PluginBase::m_Watching</a></div><div class="ttdeci">bool m_Watching</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d49/_plugin_remote_player_debug_server_8c_source.html#l00012">PluginRemotePlayerDebugServer.c:12</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_a8f5250c9e96907b12539030fa117c47b"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#a8f5250c9e96907b12539030fa117c47b">PluginBase::OnRequestReceived</a></div><div class="ttdeci">void OnRequestReceived(PlayerBase player, bool enable)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d49/_plugin_remote_player_debug_server_8c_source.html#l00116">PluginRemotePlayerDebugServer.c:116</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_aa2c77afbe2aec582d3010cba0f3b89fe"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#aa2c77afbe2aec582d3010cba0f3b89fe">PluginBase::GatherPlayerInfo</a></div><div class="ttdeci">void GatherPlayerInfo()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d49/_plugin_remote_player_debug_server_8c_source.html#l00040">PluginRemotePlayerDebugServer.c:40</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_ab9b9515a9f54fece194e7073142db17a"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#ab9b9515a9f54fece194e7073142db17a">PluginBase::m_DebugType</a></div><div class="ttdeci">eRemoteDebugType m_DebugType</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d49/_plugin_remote_player_debug_server_8c_source.html#l00011">PluginRemotePlayerDebugServer.c:11</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_ad8d21bbca90ae899ba1d7cc1e0645ae6"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#ad8d21bbca90ae899ba1d7cc1e0645ae6">PluginBase::SendDebug</a></div><div class="ttdeci">void SendDebug()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d49/_plugin_remote_player_debug_server_8c_source.html#l00056">PluginRemotePlayerDebugServer.c:56</a></div></div>
<div class="ttc" id="aclass_plugin_base_html_ae1cd17b89a389878d63d340f2f850216"><div class="ttname"><a href="../../dd/da1/class_plugin_base.html#ae1cd17b89a389878d63d340f2f850216">PluginBase::OnUpdate</a></div><div class="ttdeci">override void OnUpdate(float delta_time)</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d49/_plugin_remote_player_debug_server_8c_source.html#l00014">PluginRemotePlayerDebugServer.c:14</a></div></div>
<div class="ttc" id="aclass_remote_player_damage_debug_html"><div class="ttname"><a href="../../d7/d6a/class_remote_player_damage_debug.html">RemotePlayerDamageDebug</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00001">RemotePlayerDamageDebug.c:2</a></div></div>
<div class="ttc" id="aclass_remote_player_damage_debug_html_a240490b311b87235ed6be55c370fa7bb"><div class="ttname"><a href="../../d7/d6a/class_remote_player_damage_debug.html#a240490b311b87235ed6be55c370fa7bb">RemotePlayerDamageDebug::AddDamage</a></div><div class="ttdeci">void AddDamage(float value_global, float value_blood, float value_shock)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d45/_remote_player_damage_debug_8c_source.html#l00014">RemotePlayerDamageDebug.c:14</a></div></div>
<div class="ttc" id="aclass_script_r_p_c_html"><div class="ttname"><a href="../../d5/d8a/class_script_r_p_c.html">ScriptRPC</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d18/gameplay_8c_source.html#l00104">gameplay.c:105</a></div></div>
<div class="ttc" id="aclass_script_r_p_c_html_a96f5185fa93cf7f008fba76a0e7729b9"><div class="ttname"><a href="../../d5/d8a/class_script_r_p_c.html#a96f5185fa93cf7f008fba76a0e7729b9">ScriptRPC::Send</a></div><div class="ttdeci">proto native void Send(Object target, int rpc_type, bool guaranteed, PlayerIdentity recipient=NULL)</div><div class="ttdoc">Initiate remote procedure call. When called on client, RPC is evaluated on server; When called on ser...</div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="aclass_serializer_html_a3568bd9439217225013ea9906eb09a3f"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Serializer::Write</a></div><div class="ttdeci">proto bool Write(void value_out)</div></div>
<div class="ttc" id="aclass_serializer_html_a9a38a9c5322133ee30fe87a3a4c0659e"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Serializer::Read</a></div><div class="ttdeci">proto bool Read(void value_in)</div></div>
<div class="ttc" id="aclass_total_damage_result_html"><div class="ttname"><a href="../../d7/d7b/class_total_damage_result.html">TotalDamageResult</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/dba/_damage_system_8c_source.html#l00001">DamageSystem.c:2</a></div></div>
<div class="ttc" id="aclass_total_damage_result_html_a940858fc3298ca3b89b97f2cc2dbc409"><div class="ttname"><a href="../../d7/d7b/class_total_damage_result.html#a940858fc3298ca3b89b97f2cc2dbc409">TotalDamageResult::GetDamage</a></div><div class="ttdeci">proto native float GetDamage(string zoneName, string healthType)</div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_2b66b8ed1afe82646c8af9c779a96cad.html">Plugins</a></li><li class="navelem"><a class="el" href="../../dir_bfbe43b663634ae31e97616eeb4b3740.html">PluginBase</a></li><li class="navelem"><a class="el" href="../../dir_c8ef7bfafde947ed4c81dadaeea728a6.html">PluginDeveloper</a></li><li class="navelem"><a class="el" href="../../d0/d49/_plugin_remote_player_debug_server_8c.html">PluginRemotePlayerDebugServer.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
